## purple-rocketchat 0.1~hg20200403.800ef89

=== Makefile ===

PIDGIN_TREE_TOP ?= ../pidgin-2.10.11
PIDGIN3_TREE_TOP ?= ../pidgin-main
LIBPURPLE_DIR ?= $(PIDGIN_TREE_TOP)/libpurple
WIN32_DEV_TOP ?= $(PIDGIN_TREE_TOP)/../win32-dev

WIN32_CC ?= $(WIN32_DEV_TOP)/mingw-4.7.2/bin/gcc

PKG_CONFIG ?= pkg-config

REVISION_ID = $(shell hg id -i)
REVISION_NUMBER = $(shell hg id -n)
DATE_FMT = %Y.%m.%d
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif

ifneq ($(REVISION_ID),)
PLUGIN_VERSION ?= 0.9.$(BUILD_DATE).hg.r$(REVISION_NUMBER).$(REVISION_ID)
else
PLUGIN_VERSION ?= 0.9.$(BUILD_DATE)
endif

CFLAGS	?= -O2 -g -pipe -Wall -DROCKETCHAT_PLUGIN_VERSION='"$(PLUGIN_VERSION)"'
LDFLAGS ?= -Wl,-z,relro 

# Do some nasty OS and purple version detection
ifeq ($(OS),Windows_NT)
  #only defined on 64-bit windows
  PROGFILES32 = ${ProgramFiles(x86)}
  ifndef PROGFILES32
    PROGFILES32 = $(PROGRAMFILES)
  endif
  ROCKETCHAT_TARGET = librocketchat.dll
  ROCKETCHAT_DEST = "$(PROGFILES32)/Pidgin/plugins"
  ROCKETCHAT_ICONS_DEST = "$(PROGFILES32)/Pidgin/pixmaps/pidgin/protocols"
else

  UNAME_S := $(shell uname -s)

  #.. There are special flags we need for OSX
  ifeq ($(UNAME_S), Darwin)
    #
    #.. /opt/local/include and subdirs are included here to ensure this compiles
    #   for folks using Macports.  I believe Homebrew uses /usr/local/include
    #   so things should "just work".  You *must* make sure your packages are
    #   all up to date or you will most likely get compilation errors.
    #
    INCLUDES = -I/opt/local/include -lz $(OS)

    CC = gcc
  else
    CC ?= gcc
  endif

  ifeq ($(shell $(PKG_CONFIG) --exists purple-3 2>/dev/null && echo "true"),)
    ifeq ($(shell $(PKG_CONFIG) --exists purple 2>/dev/null && echo "true"),)
      ROCKETCHAT_TARGET = FAILNOPURPLE
      ROCKETCHAT_DEST =
	  ROCKETCHAT_ICONS_DEST =
    else
      ROCKETCHAT_TARGET = librocketchat.so
      ROCKETCHAT_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple`
	  ROCKETCHAT_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/protocols
    endif
  else
    ROCKETCHAT_TARGET = librocketchat3.so
    ROCKETCHAT_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
	ROCKETCHAT_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
  endif
endif

WIN32_CFLAGS = -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -I$(WIN32_DEV_TOP)/discount-2.2.1 -DENABLE_NLS -DROCKETCHAT_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat
WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz -L$(WIN32_DEV_TOP)/discount-2.2.1 -lmarkdown
WIN32_PIDGIN2_CFLAGS = -I$(PIDGIN_TREE_TOP)/libpurple -I$(PIDGIN_TREE_TOP) $(WIN32_CFLAGS)
WIN32_PIDGIN3_CFLAGS = -I$(PIDGIN3_TREE_TOP)/libpurple -I$(PIDGIN3_TREE_TOP) -I$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_CFLAGS)
WIN32_PIDGIN2_LDFLAGS = -L$(PIDGIN_TREE_TOP)/libpurple $(WIN32_LDFLAGS)
WIN32_PIDGIN3_LDFLAGS = -L$(PIDGIN3_TREE_TOP)/libpurple -L$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_LDFLAGS) -lgplugin

C_FILES := 
PURPLE_COMPAT_FILES := 
PURPLE_C_FILES := librocketchat.c $(C_FILES)



.PHONY:	all install FAILNOPURPLE clean install-icons

all: $(ROCKETCHAT_TARGET)

librocketchat.so: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb -lmarkdown

librocketchat3.so: $(PURPLE_C_FILES)
	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 --libs --cflags` $(INCLUDES)  -g -ggdb -lmarkdown

librocketchat.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN2_CFLAGS) $(WIN32_PIDGIN2_LDFLAGS) -Ipurple2compat

librocketchat3.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN3_CFLAGS) $(WIN32_PIDGIN3_LDFLAGS)

install: $(ROCKETCHAT_TARGET) install-icons
	mkdir -p $(ROCKETCHAT_DEST)
	install -p $(ROCKETCHAT_TARGET) $(ROCKETCHAT_DEST)

install-icons: rocketchat16.png rocketchat22.png rocketchat48.png
	mkdir -p $(ROCKETCHAT_ICONS_DEST)/16
	mkdir -p $(ROCKETCHAT_ICONS_DEST)/22
	mkdir -p $(ROCKETCHAT_ICONS_DEST)/48
	install rocketchat16.png $(ROCKETCHAT_ICONS_DEST)/16/rocketchat.png
	install rocketchat22.png $(ROCKETCHAT_ICONS_DEST)/22/rocketchat.png
	install rocketchat48.png $(ROCKETCHAT_ICONS_DEST)/48/rocketchat.png

FAILNOPURPLE:
	echo "You need libpurple development headers installed to be able to compile this plugin"

clean:
	rm -f $(ROCKETCHAT_TARGET)

## purple-rocketchat 0.1~git20190218.826990b48f41

=== debian/changelog ===
purple-rocketchat (0.1~git20190218.826990b48f41-1) unstable; urgency=low

  * Initial release.

 -- Dominik George <natureshadow@debian.org>  Mon, 20 May 2019 14:31:16 +0200

=== debian/control ===
Source: purple-rocketchat
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libpurple-dev, libjson-glib-dev, libglib2.0-dev, libmarkdown2-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/xmpp-team/purple-rocketchat.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/purple-rocketchat
Homepage: https://bitbucket.org/EionRobb/purple-rocketchat/src/default/

Package: purple-rocketchat
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Rocket.Chat protocol plugin for libpurple
 This is a protocol plugin for libpurple that enables libpurple
 applications, like Pidgin or Spectrum 2, to connect to Rocket.Chat
 servers.

## purple-rocketchat 0.1~hg20200403.800ef89

=== debian/changelog ===
purple-rocketchat (0.1~hg20200403.800ef89-1) unstable; urgency=medium

  * Team upload.
  * Update to latest upstream snapshot
  * Bump debhelper and Policy, no changes needed
  * Ensure the resulting plugin version is correct and CPPFLAGS are honoured
  * Add R³:no and UMEGAYA (prompted by lintian) and applicable hardening
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 25 Apr 2020 15:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders:
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libpurple-dev, libjson-glib-dev, libglib2.0-dev, libmarkdown2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xmpp-team/purple-rocketchat.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/purple-rocketchat
 Homepage: https://bitbucket.org/EionRobb/purple-rocketchat/src/default/

=== debian/rules ===
#!/usr/bin/make -f

# no PIE as we build only a DLL here
DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
include /usr/share/dpkg/buildflags.mk

# in theory we should be able to get these from .hg_archival.txt
# but “hg id” shortens the node ID in an unspecified way, and the
# revision number is not documented either, so we use this:
#  hg clone https://bitbucket.org/EionRobb/purple-rocketchat/
# then verify the content is the same as in the origtgz and run:
#  printf 'revid=%s\nrevno=%s\n' "$(hg id -i)" "$(hg id -n)"
revid=800ef8998c10
revno=92

snapshot_date=$(shell dpkg-parsechangelog -SVersion | sed 's/^.*hg\([0-9]\{8\}\).*$$/\1/')

override_dh_auto_build:
	dh_auto_build -- \
	    REVISION_ID="${revid}" REVISION_NUMBER="${revno}" \
	    BUILD_DATE="${snapshot_date}"

%:
	dh $@

## purple-rocketchat 0.1~+git20210202

=== debian/changelog ===
purple-rocketchat (0.1~+git20210202-1~ab~SID+1) sid-ab-unstable; urgency=medium

  [ mirabilos ]
  * [5d802b5] forward upstream

  [ Stephan Sürken ]
  * [b36db03] New upstream version 0.1~+git20210202
  * [c764226] patches/series: Disable fix-flags (does not apply any more).

 -- Stephan Sürken <absurd@olurdix.de>  Tue, 02 Feb 2021 17:37:18 +0100

## purple-rocketchat 0.1~+git20220424

=== debian/changelog ===
purple-rocketchat (0.1~+git20220424-1~ab~SID+1) sid-ab-unstable; urgency=medium

  * [d7e4469] New upstream version 0.1~+git20220424

 -- Stephan Sürken <absurd@olurdix.de>  Sun, 24 Apr 2022 07:43:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # no PIE as we build only a DLL here
-DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all,-pie
 include /usr/share/dpkg/buildflags.mk
 
 # in theory we should be able to get these from .hg_archival.txt
